<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.zdsz.mapper.ZAreaMapper">

    <resultMap type="com.ruoyi.zdsz.domain.ZArea" id="ZAreaResult">
        <result property="id" column="id"/>
        <result property="name" column="name"/>
        <result property="scale" column="scale"/>
        <result property="releaseIs" column="release_is"/>
        <result property="releaseBy" column="release_by"/>
        <result property="district" column="district"/>
        <result property="calculateDistrict" column="calculate_district"/>
        <result property="belongingPack" column="belonging_pack"/>
        <result property="remark" column="remark"/>
        <result property="delFlag" column="del_flag"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
    </resultMap>
    <select id="getArea" resultType="com.ruoyi.zdsz.domain.vo.ZAreaVo">
        select id   as id,
               name as name
        from z_area
        where del_flag = '0'
        <if test="district != null and district != ''">
            and district = #{district}
        </if>
    </select>

</mapper>
